- defaultTab: nodes
  description: ''
  executionEnabled: true
  id: d26754e3-97a0-44e2-9738-bba502f14309
  loglevel: INFO
  name: FileProcessing
  nodeFilterEditable: false
  nodefilters:
    dispatch:
      excludePrecedence: true
      keepgoing: false
      rankOrder: ascending
      successOnEmptyNodeFilter: false
      threadcount: '1'
    filter: ${option.myfilter}
  nodesSelectedByDefault: true
  options:
  - name: myfilter
  - label: to receive the first file
    name: opt1
  - label: to receive the second file
    name: opt2
  plugins:
    ExecutionLifecycle: null
  scheduleEnabled: true
  sequence:
    commands:
    - fileExtension: .sh
      interpreterArgsQuoted: false
      script: |2-


        echo "executing @option.opt1@"
        sleep 2
        echo "done"

        echo "executing @option.opt2@"
        sleep 2
        echo "done"
      scriptInterpreter: /bin/bash
    keepgoing: false
    strategy: node-first
  uuid: d26754e3-97a0-44e2-9738-bba502f14309
